/*
  Calisto - An internet Talker
  Copyright (C) 1998-2001 Peter Howkins, Matthew Howkins and Simon Howkins

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,     
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License   
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Email: calisto@calisto.cx

  $Id: commands.h,v 1.9 2000/12/29 20:52:11 peter Exp $

 */
#ifndef commands_h
#define commands_h

#include "stddef.h"

#include "structs.h"

typedef struct { 
  char *name;
  char *shortcut;
  void (*function)(character *, char *, const char *, void *);
  char *privname;
} command;

void command_do(descriptor *des, const char *buffer);
descriptor* getdes(character *c);
void seconds_to_string(unsigned long seconds, char *buffer, size_t size);
void init_commands(void);
void free_commands(void);
void finger_item(character *c, const char *item, const char *string, ...);

#endif /* commands_h */
