/*
  Calisto - An internet Talker
  Copyright (C) 1998-2001 Peter Howkins, Matthew Howkins and Simon Howkins

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,     
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License   
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Email: calisto@calisto.cx

  $Id: library.h,v 1.4 2001/04/17 19:24:38 peter Exp $

 */

#include <string.h>
#include "structs.h"

character *character_from_name_exact(const char *);
character *character_from_name(const char *);

void send_to_descriptor(descriptor *des, const char *string, ...);
void do_tell(const character *player, const char *string, ...);
void send_to_char(const character *player, const char *string, ...);
void send_to_all_except(const character *c, const char *string, ...);
void send_to_all(const char *string, ...);
void send_to_room_except(const char *group, const character *c, const char *string, ...);
void send_to_room(const char *group, const char *string, ...);

/* Returns 0 if nothing read, non-zero otherwise */
int get_from_descriptor(descriptor *des);

void echo_on(descriptor *d);
void echo_off(descriptor *d);
void inquire_termtype(descriptor *d);
void inquire_windowsize(descriptor *d);
void request_termtype(descriptor *d);
void telnet_ping(descriptor *pDes);

int send_file_to_descriptor(char *path, descriptor *d);
void bar2(descriptor *d, const char *text,
          const char *textform, const char *barform);

